# -*- Mode: python; tab-width: 4; indent-tabs-mode:nil; coding:utf-8 -*-
# vim: tabstop=4 expandtab shiftwidth=4 softtabstop=4 fileencoding=utf-8
#
# MDAnalysis --- http://mdanalysis.googlecode.com
# Copyright (c) 2006-2015 Naveen Michaud-Agrawal, Elizabeth J. Denning, Oliver Beckstein
# and contributors (see AUTHORS for the full list)
#
# Released under the GNU Public Licence, v2 or any higher version
#
# Please cite your use of MDAnalysis in published work:
#
# N. Michaud-Agrawal, E. J. Denning, T. B. Woolf, and O. Beckstein.
# MDAnalysis: A Toolkit for the Analysis of Molecular Dynamics Simulations.
# J. Comput. Chem. 32 (2011), 2319--2327, doi:10.1002/jcc.21787
#


"""
TPR support module
==================

The modules are required for the :mod:`MDAnalysis.topology.TPRParser` module.

.. autodata:: SUPPORTED_VERSIONS

Sub-modules
-----------

.. automodule:: setting
   :members:
.. automodule:: obj
   :members:
.. automodule:: util

"""
__all__ = ["obj", "setting", "util"]

from setting import SUPPORTED_VERSIONS
